[arch-commits] CVS update of extra/lib/qca (PKGBUILD)

Tobias Powalowski tpowa at archlinux.org
Fri Dec 7 06:12:40 EST 2007


    Date: Friday, December 7, 2007 @ 06:12:40
  Author: tpowa
    Path: /home/cvs-extra/extra/lib/qca

Modified: PKGBUILD (1.6 -> 1.7)

'upgpkg: update to new version'


----------+
 PKGBUILD |   46 +++++++++++++++++++++++++++-------------------
 1 file changed, 27 insertions(+), 19 deletions(-)


Index: extra/lib/qca/PKGBUILD
diff -u extra/lib/qca/PKGBUILD:1.6 extra/lib/qca/PKGBUILD:1.7
--- extra/lib/qca/PKGBUILD:1.6	Sat Nov 10 10:11:39 2007
+++ extra/lib/qca/PKGBUILD	Fri Dec  7 06:12:40 2007
@@ -1,21 +1,29 @@
-# $Id: PKGBUILD,v 1.6 2007/11/10 15:11:39 pierre Exp $
-# Contributor: Mircea Bardac <dev at mircea.bardac.net> 
-# Maintainer: dorphell <dorphell at archlinux.org>
-pkgname=qca 
-pkgver=1.0 
-pkgrel=4
-pkgdesc="QT Cryptography Architecture"
-arch=(i686 x86_64)
-url="http://delta.affinix.com/qca/" 
-license=('GPL')
-depends=('qt3') 
-source=(http://delta.affinix.com/download/qca/$pkgname-$pkgver.tar.bz2) 
-md5sums=('ee44022eb0e5b8b5df64c62630f6e6b6') 
+# $Id: PKGBUILD,v 1.7 2007/12/07 11:12:40 tpowa Exp $
+# Maintainer: Tobias Powalowski <tpowa at archlinux.org>
 
-build() { 
-  . /etc/profile.d/qt3.sh
-  cd $startdir/src/$pkgname-$pkgver 
-  ./configure --prefix=/usr 
-  make || return 1 
-  make INSTALL_ROOT=$startdir/pkg install 
+pkgname=qca
+pkgver=2.0.0.svn744387
+pkgrel=1
+pkgdesc="Qt Cryptographic Architecture"
+arch=('i686' 'x86_64')
+url="http://delta.affinix.com/qca/"
+license=('GPL2')
+depends=('qt>=4.3.2' 'nss' 'libsasl' 'openssl>=0.9.8g-2')
+makedepends=('cmake' 'pkgconfig' 'libgcrypt')
+# svn snapshot: svn co svn://anonsvn.kde.org/home/kde/trunk/kdesupport/qca
+source=(ftp://ftp.archlinux.org/other/qca/$pkgname-$pkgver.tar.bz2)
+options=(!libtool)
+
+build() {
+  # start building
+  cd $startdir/src/$pkgname
+
+  cmake -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=Release
+
+  make VERBOSE=1 || return 1
+  make DESTDIR=$startdir/pkg install || return 1
+  # fix mkspecs
+  mkdir $startdir/pkg/usr/share/qt
+  mv $startdir/pkg/usr/mkspecs $startdir/pkg/usr/share/qt
 }
+md5sums=('e73c7dd9ef8334067a398ccc6d8bb71f')




More information about the arch-commits mailing list